/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var editKeywordPipeline = ko.observable({}),
        editKeywordPipelineVisible = ko.observable(false),
        forceNewPipeline = ko.observable(false),
        forceResetEditPipeline = ko.observable(false),
        preventInputBlur = ko.observable(false),
        editKeywordRankingVisible = ko.observable(false);

    return {
        editKeywordPipeline: editKeywordPipeline,
        editKeywordPipelineVisible: editKeywordPipelineVisible,
        forceNewPipeline: forceNewPipeline,
        forceResetEditPipeline: forceResetEditPipeline,
        preventInputBlur: preventInputBlur,
        editKeywordRankingVisible: editKeywordRankingVisible
    };
});
